import React, { ComponentProps } from "react";
declare type ButtonAddon = {
    type: 'button';
    label?: string;
    icon?: React.ReactElement;
    onClick: Function;
};
interface Props {
    type?: 'text' | 'password' | 'search' | 'url';
    value?: string;
    onChange?: Function;
    placeholder?: string;
    readonly?: boolean;
    error?: string;
    ref?: any;
    required?: boolean;
    disabled?: boolean;
    label?: string;
    leftAddon?: string | ButtonAddon;
    rightAddon?: string | ButtonAddon;
}
export declare const TextField: React.ForwardRefExoticComponent<Pick<Props, "label" | "type" | "placeholder" | "onChange" | "error" | "value" | "disabled" | "required" | "readonly" | "leftAddon" | "rightAddon"> & React.RefAttributes<HTMLInputElement>>;
export declare type TextFieldProps = ComponentProps<typeof TextField>;
export {};
